Freeze Break: add getfedora.org to production

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



So, since many of us will be traveling later this week, I thought it
might be good to make getfedora.org live today or tomorrow. 

This attached patch just makes it fully live in production with ssl
cert enabled. 

We may want to redirect it to avoid people hitting it before release at
some point, but I think it would be good to have it enabled for now so
we could make sure it looks ok. 

Note that spins is still built from master with this, so those spins
changes will need to be enabled before release. 

+1s?

kevin
--
diff --git a/manifests/services/proxy.pp b/manifests/services/proxy.pp
index d85cb3d..fa68194 100644
--- a/manifests/services/proxy.pp
+++ b/manifests/services/proxy.pp
@@ -711,16 +711,20 @@ if $puppetEnvironment == 'staging'{
         website  => "id.stg.fedoraproject.org",
         proxyurl => "http://localhost:10020";,
     }
+}
 
     httpd::website { "getfedora.org":
         ips            => $fpo_ips,
         server_aliases => [ "stg.getfedora.org" ],
+        ssl            => true,
+        sslonly        => true,
+        cert_name      => "getfedora.org.cert",
+        sSLCertificateChainFile => "getfedora.org.intermediate.cert",
     }
 
     fedora-web::getfedora::proxy { "getfedora.org":
         website => "getfedora.org"
     }
-}
 
     datagrepper::proxy { "apps.fedoraproject.org/datagrepper":
         website => "apps.fedoraproject.org",
diff --git a/modules/fedora-web/files/syncStatic.sh b/modules/fedora-web/files/syncStatic.sh
index f0249a7..525f468 100644
--- a/modules/fedora-web/files/syncStatic.sh
+++ b/modules/fedora-web/files/syncStatic.sh
@@ -70,3 +70,10 @@ build boot.fedoraproject.org
 build fedoracommunity.org
 build fudcon.fedoraproject.org
 build start.fedoraproject.org
+/usr/bin/git clean -q -fdx || exit 1
+/usr/bin/git reset -q --hard || exit 1
+/usr/bin/git checkout -q getfedora || exit 1
+/usr/bin/git pull -q --ff-only || exit 1
+build getfedora.org
+# Will need to update before f21 release
+#build spins.fedoraproject.org

Attachment: pgps9Wt0d05gT.pgp
Description: OpenPGP digital signature

_______________________________________________
infrastructure mailing list
infrastructure@xxxxxxxxxxxxxxxxxxxxxxx
https://admin.fedoraproject.org/mailman/listinfo/infrastructure

[Index of Archives]     [Fedora Development]     [Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [KDE Users]

  Powered by Linux